using WinformGeneralDeveloperFrame.Commons;

namespace MES.Entity
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("sysRole")]
    public partial class sysRoleInfo
    {
    [ModelBindControl("txtid")]
    public int id{set;get;}
    [ModelBindControl("txtcompanyId")]
    public int companyId{set;get;}
    [ModelBindControl("txtcompanyName")]
    public string companyName{set;get;}
    [ModelBindControl("txtname")]
    public string name{set;get;}
    [ModelBindControl("txtcreatorId")]
    public int creatorId{set;get;}
    [ModelBindControl("txtcreateTime")]
    public DateTime? createTime{set;get;}=DateTime.Now;
    [ModelBindControl("txteditorId")]
    public int editorId{set;get;}
    [ModelBindControl("txteditTime")]
    public DateTime? editTime{set;get;}=DateTime.Now;
    
    }
}